interface IScrollOptions {
    animation?: any;
    enter?: () => void;
    enterBack?: () => void;
    leave?: () => void;
    leaveBack?: () => void;
    start?: string;
    end?: string;
    scrub?: boolean;
}
interface ICreateTriggers {
    targets?: HTMLElement[];
    removeClasses?: boolean;
    hasScrub?: boolean;
}
export declare class GGScrollTrigger {
    scrollTrigger: any;
    options: any;
    constructor(scrollTrigger: any, options?: {
        markers: boolean;
    });
    setOptions(trigger: HTMLElement, { animation, enter, enterBack, leave, leaveBack, start, end, scrub, }: IScrollOptions, type?: string): {
        trigger: HTMLElement;
        animation: any;
        start: string;
        end: string;
        markers: boolean | {
            startColor: string;
            endColor: string;
            fontSize: string;
            fontWeight: string;
            indent: number;
        };
        scrub: boolean;
        onEnter: () => void;
        onLeaveBack: () => void;
        onLeave: () => void;
        onEnterBack: () => void;
    };
    create(trigger: HTMLElement, animation: any, { targets, removeClasses, hasScrub, }?: ICreateTriggers): void;
}
export {};
